Skip to main content
POST
/
v1
/
ai
/
agents
/
tasks
Create an AI Agent Task
curl --request POST \
  --url https://eu1.api.matillion.com/dpc/v1/ai/agents/tasks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agentConfig": {
    "name": "data_engineer_agent",
    "environmentName": "development",
    "mode": "ACT",
    "projectId": "550e8400-e29b-41d4-a716-446655440001",
    "sourceBranchName": "main",
    "generateBranch": true,
    "graphId": "my-pipeline",
    "targetBranchName": "feature/my-pipeline",
    "workingDirectory": "/pipelines"
  },
  "message": "Build a pipeline to load sales data from S3 into Snowflake",
  "grantedPermissions": [
    {
      "toolName": "execute_sql"
    }
  ]
}
'
import requests

url = "https://eu1.api.matillion.com/dpc/v1/ai/agents/tasks"

payload = {
"agentConfig": {
"name": "data_engineer_agent",
"environmentName": "development",
"mode": "ACT",
"projectId": "550e8400-e29b-41d4-a716-446655440001",
"sourceBranchName": "main",
"generateBranch": True,
"graphId": "my-pipeline",
"targetBranchName": "feature/my-pipeline",
"workingDirectory": "/pipelines"
},
"message": "Build a pipeline to load sales data from S3 into Snowflake",
"grantedPermissions": [{ "toolName": "execute_sql" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agentConfig: {
name: 'data_engineer_agent',
environmentName: 'development',
mode: 'ACT',
projectId: '550e8400-e29b-41d4-a716-446655440001',
sourceBranchName: 'main',
generateBranch: true,
graphId: 'my-pipeline',
targetBranchName: 'feature/my-pipeline',
workingDirectory: '/pipelines'
},
message: 'Build a pipeline to load sales data from S3 into Snowflake',
grantedPermissions: [{toolName: 'execute_sql'}]
})
};

fetch('https://eu1.api.matillion.com/dpc/v1/ai/agents/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "taskId": "550e8400-e29b-41d4-a716-446655440000",
  "status": "RUNNING",
  "agentName": "data_engineer_agent",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}
{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}

Authorizations

Authorization
string
header
required

a valid bearer token

Body

application/json
agentConfig
object
required

Configuration specifying the agent type and its parameters

message
string
required

The instruction or question to send to the agent

Minimum string length: 1
Example:

"Build a pipeline to load sales data from S3 into Snowflake"

grantedPermissions
object[] | null

Permissions pre-granted to the agent for this task. Each entry must be unique

Response

Agent task created successfully

agentName
string

The name of the agent handling the task

Example:

"data_engineer_agent"

createdAt
string<date-time>

The date and time the task was created

Example:

"2024-01-15T10:30:00.000Z"

status
enum<string>

The current status of the task

Available options:
RUNNING,
STOPPED,
STOPPING,
ERRORED
Example:

"RUNNING"

taskId
string<uuid>

The unique identifier of the created task

Example:

"550e8400-e29b-41d4-a716-446655440000"